Bug 464171 - (gedit-latex-plugin) Review Request: gedit-latex-plugin - Gedit plugin for composing and compiling LaTeX documents
Review Request: gedit-latex-plugin - Gedit plugin for composing and compiling...
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Orcan Ogetbil
Fedora Extras Quality Assurance
:
Depends On: rubber
Blocks:
  Show dependency treegraph
 
Reported: 2008-09-26 10:58 EDT by Sergio Pascual
Modified: 2008-10-03 03:04 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-10-03 03:04:01 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
oget.fedora: fedora‑review+
huzaifas: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Sergio Pascual 2008-09-26 10:58:54 EDT
Spec URL: http://sergiopr.fedorapeople.org/gedit-latex-plugin.spec
SRPM URL: http://sergiopr.fedorapeople.org/gedit-latex-plugin-0.1.3.2-1.fc9.src.rpm
Description: This plugin assists you in composing and compiling LaTeX documents using gedit.
Comment 1 Orcan Ogetbil 2008-09-28 22:51:39 EDT
-Package meets naming, versioning, macro guidelines.
-Disttag is present
-Build root it proper.
* License: Although the COPYING file claims GPL2v+ none of the source code/program output/accompanying docs mention about the license (except LaTeXPlugin/util/eps2png which claims GPL). I think the appropriate license should be GPL+ . Please see:
http://fedoraproject.org/wiki/Licensing#Good_Licenses

-Latest version is packaged.
-Requires/BuildRequires are proper.
*%clean is not present, please fix that.

-mock built the package
-package installs and runs as desired.
*This is a python package. Please make it noarch as it does not have binaries. Hence no need for debuginfo package.

*rpmlint issues:
** SRPM complains about no %clean section, see above.
-- SRPM complains about no %build section. This is a python software, no %build is required and afaik this doesn't violate fedora guidelines.
** RPM complains about zero-length-file. Please check that if this file is really required, otherwise remove it from the package.
** RPM complains about no binary/only-non-binary-in-usr-lib. See above.

-final provides and requires are sane.
-package owns the directories it created.
-package doesn't claim any directory that it doesn't own
*We recommend %defattr(-,root,root,-)
-doc's are in proper place.
-no duplicate files in %files
-code, not content
-no scriptlets

---------
Please fix or defend the items I identified by *
Comment 2 Sergio Pascual 2008-09-29 06:52:58 EDT
I agree with you that the package must be noarch. The obvious place to install it is then /usr/share/gedit-2/plugins 
But gedit doesn't load the plugins from there. I've tried and it just doesn't work
Comment 3 Orcan Ogetbil 2008-10-01 00:21:40 EDT
I verified that there is a valid reason to put the py* files inside %{_libdir} and make the package arch-specific. (See http://live.gnome.org/Gedit/PythonPluginHowTo )
Can you fix the other issues and update the package?
Thanks.
Comment 4 Sergio Pascual 2008-10-01 04:04:39 EDT
New package:
Spec URL: http://sergiopr.fedorapeople.org/gedit-latex-plugin.spec
SRPM URL:
http://sergiopr.fedorapeople.org/gedit-latex-plugin-0.1.3.2-2.fc9.src.rpm

Licence: the code says "version 2 or or (at your option) any later version.". See for example Logger.py or graphics/GraphicsDialog.py. What it's true is that some files doesn't mention any license at all (GraphicsSourceBuilder.py). I think the license is GPL2v+

The rest of the issues are fixed. rpmlint still gives two errors, but I think they can be ignored in our case

gedit-latex-plugin.x86_64: E: no-binary
gedit-latex-plugin.x86_64: E: only-non-binary-in-usr-lib

Thanks
Comment 5 Orcan Ogetbil 2008-10-01 13:00:35 EDT
Thanks for the update and for filing those bug reports. Please keep track of them and update your package in the future.

The package is in pretty good shape but yet I have two issues.

1) The debuginfo guidelines at http://fedoraproject.org/wiki/Packaging/Debuginfo say that one can disable the debuginfo package if it does not contain arch-specific files but the package itself is not noarch because of the installation path it uses. As for now the debuginfo package is empty and there is no need to ship it. Please disable it and put a comment in the spec file.

2) The naming of the package kind-of bugs me. There is already a gedit-plugins package which is the official plugins package. The website of gedit also has links to 3rd party plugins ( http://live.gnome.org/Gedit/Plugins ) and the LaTeX plugin is one of the 3rd party plugins.

A quick "yum search plugin" showed me there are both 
foo-plugin-bar
foo-bar-plugin
types of plugin packages in Fedora.
But since there already is a gedit-plugins package should we consider to have this package as gedit-plugin-latex or gedit-plugin-LaTeX ; OR if you want to keep the original name for the plugin how about gedit-LaTeXPlugin? The documentation gives you some freedom for this: http://fedoraproject.org/wiki/Packaging/NamingGuidelines#Addon_Packages_.28General.29

I leave this up to you but my vote would be for gedit-LaTeXPlugin .
Comment 6 Sergio Pascual 2008-10-01 15:26:37 EDT
Well, I chose gedit-latex-plugin because it's the name used in opensuse and in ubuntu. The guidelines also recommend to be consistent with other distributions. 

What do you think?
Comment 7 Orcan Ogetbil 2008-10-01 15:42:17 EDT
Yes, that would be another criteria.
It's your call. Use your own judgment. I'll agree with what you say.
Btw, don't forget to do the debuginfo thing.
Comment 8 Sergio Pascual 2008-10-01 16:59:44 EDT
New package:
Spec URL: http://sergiopr.fedorapeople.org/gedit-latex-plugin.spec
SRPM URL:
http://sergiopr.fedorapeople.org/gedit-latex-plugin-0.1.3.2-3.fc9.src.rpm

Debuginfo is disabled. I prefer the name I proposed initially, gedit-latex-plugin
Comment 9 Orcan Ogetbil 2008-10-01 17:52:35 EDT
Great! Everything seems to be according to the book.

---------------------------------------------------------------------
    This package (gedit-latex-plugin) is APPROVED by oget
---------------------------------------------------------------------

Again, please keep track of the bugs you filed.
Comment 10 Sergio Pascual 2008-10-02 04:46:17 EDT
Thank you very much!

New Package CVS Request
=======================
Package Name: gedit-latex-plugin
Short Description: Gedit plugin for composing and compiling LaTeX documents
Owners: sergiopr
Branches: F-9 F-8
InitialCC:
Comment 11 Huzaifa S. Sidhpurwala 2008-10-03 02:14:21 EDT
cvs done

Note You need to log in before you can comment on or make changes to this bug.